FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202011051516.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202011051516.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=250dfdf OS_GIT_VERSION=4.5.0-202011051516.p0-250dfdf SOURCE_DATE_EPOCH=1604587359 SOURCE_GIT_COMMIT=250dfdff9fce0a78a2b7d9ea484d728af5ff11e5 SOURCE_GIT_TAG=v0.0.0-alpha.0-325-g250dfdff SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.5.0-202010301114.p0
ENV __doozer=update BUILD_RELEASE=202011051516.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202011051516.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=250dfdf OS_GIT_VERSION=4.5.0-202011051516.p0-250dfdf SOURCE_DATE_EPOCH=1604587359 SOURCE_GIT_COMMIT=250dfdff9fce0a78a2b7d9ea484d728af5ff11e5 SOURCE_GIT_TAG=v0.0.0-alpha.0-325-g250dfdff SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202011051516.p0" \
        io.openshift.build.commit.id="250dfdff9fce0a78a2b7d9ea484d728af5ff11e5" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/250dfdff9fce0a78a2b7d9ea484d728af5ff11e5" \
        version="v4.5.0"

